import type { TDonnees, TOptions, TScraperActions } from './types';
export default class Scraper {
    static defaultOptions: {};
    private options;
    constructor(options: TOptions);
    private log;
    private warn;
    scrape<TExtractedData extends TDonnees, TProcessedData extends TDonnees>(config: TScraperActions<TExtractedData, TProcessedData>): Promise<TProcessedData[]>;
    private extractItems;
    private extractData;
}
